/**
 * Le controller des categories
 */
petzl.controllers.Product = function (){

	function initialize(){
		window.mySwipe = new Swipe(
			document.getElementById('declinaisonsContainer'), {
				callback : function(index, elem){
					$('.puce').removeClass('selected');
					$('.puce:eq('+elem+')').addClass('selected');
				}
			}
		);

		$(document).ready(function(){
			$('.puce').click(function(){
				var index = $(this).index();
				console.log(index);
				window.mySwipe.slide(index, 300);
				$('.puce').removeClass('selected');
				$(this).addClass('selected');
				
				return false;
			});

			$('.multipleLinksContainer').each(function(){
				// On sauvegarde sa height
				$(this).data('height', $(this).height());

				$(this).css('height', 0);
				$(this).css('padding', '0 30px');
			});

			// Click sur un lien de notice
			$('.multipleLinkTrigger').click(function(){
				event.preventDefault();

				// On récupère les élèments
				var triggerLink = $(this);
				var multipleLinkContainer = $(this).parent().find('.multipleLinksContainer');

				// On anime le bidule
				multipleLinkContainer.stop().animate({
					height : (multipleLinkContainer.height() == 0) ? multipleLinkContainer.data('height') : 0,
					'padding' : (multipleLinkContainer.height() == 0) ? '15px 30px' : '0 30px'
				});

				// On change le +/-
				(multipleLinkContainer.height() == 0) ? triggerLink.addClass('opened') : triggerLink.removeClass('opened') ;

			});
		});
	};
	
	initialize();
	
};